<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\User;
use App\Models\PostJob;
use App\Models\UserExperience;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;
use App\Models\Inquiry;





class AdminController extends Controller
{
    public function index(Request $request){
        return view('admin.admin-dashboard');
    }
    public function allCandidates(Request $request){
        $candidates = UserExperience::With('user')->get();
        return view('admin.candidates',get_defined_vars());
    }
    public function adminUsers(Request $request){
        $users  = User::where('role_id','!=',1)->with('get_experience')->get();
        // return $users;
        return view('admin.users',get_defined_vars());
    }
    public function adminJobs(Request $request){
        $jobs  = PostJob::with('get_employer')->get();
        // return $jobs;
        return view('admin.jobs',get_defined_vars());
    }
    public function adminPostJob(Request $request){
        return view('admin.job-post');
    }
    public function contacts(){
        $contacts = Inquiry::get();
        return view('admin.inquiries',compact('contacts'));
    }
    public function adminLogin(Request $request)
    {  

        $this->validate($request, [
            'email' => 'required|email',
            'password' => 'required',
        ]);
     
         $credentials = Auth::attempt([
            'email' => $request->email,
            'password' => $request->password,
        ]);

                if ($credentials) {
                    if (Auth::check() && Auth::user()->role_id == 1) {
                        
                        return response()->json([
                            'status' => 200,
                            'message' => 'Login Successfully !'
                        ]);
                       
                    }
                }  else {
                        return response()->json([
                            'status' => 401,
                            'message' => 'Invalid Credentials !'
                        ]);
                           
                }
    }
    public function adminLogout(Request $request){
        Auth::logout();
        Session::flush();
        return redirect('/');
    }
}
