<?php

namespace App\Http\Controllers;
use App\Models\User;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Auth;
use App\Models\PostJob;
use App\Models\UserEducation;
use App\Models\UserExperience;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Mail;
use App\Models\SaveJob;
use Illuminate\Support\Carbon;
use App\Models\Inquiry;
use App\Models\Blog;





use Illuminate\Http\Request;

class FrontendController extends Controller
{
    public function allJobs(Request $request){
        if(!empty($request->title)){
            //  $jobs  = PostJob::where('job_title', 'LIKE', "%$request->title%")->where('job_category','LIKE',"%$request->category%")
             $jobs = PostJob::where('job_title', 'LIKE', "%$request->title%")
            ->where('job_category', 'LIKE', "%$request->category%")->with('get_employer')->where('status',1)
            
            ->get();
            // return $jobs;
             $count_jobs = PostJob::where('status',1)->count();
            $count_full_time  = PostJob::where('job_type','Full time')->where('status',1)->count();
            $count_part_time =  PostJob::where('job_type','Part time')->where('status',1)->count();
            $count_hourly = PostJob::where('job_type','Hourly-Contract')->where('status',1)->count();
            $count_fixed = PostJob::where('job_type','Fixed-Price')->where('status',1)->count();
            $count_intermediate = PostJob::where('experience','Intermediate')->where('status',1)->count();
            $count_fresh = PostJob::where('experience','No-Experience')->where('status',1)->count();
            $count_expert= PostJob::where('experience','Expert')->where('status',1)->count();
             $job_filter = PostJob::select('job_title', 'job_category', 'location', 'skills')
            ->where('status', 1)
            ->get();
            return view('pages.jobs',get_defined_vars());
        }else {
            $jobs = PostJob::with('get_employer')->where('status',1)->get();
            // return $jobs;
            $count_jobs = PostJob::where('status',1)->count();
            $count_full_time  = PostJob::where('job_type','Full time')->where('status',1)->count();
            $count_part_time =  PostJob::where('job_type','Part time')->where('status',1)->count();
            $count_hourly = PostJob::where('job_type','Hourly-Contract')->where('status',1)->count();
            $count_fixed = PostJob::where('job_type','Fixed-Price')->where('status',1)->count();
            $count_intermediate = PostJob::where('experience','Intermediate')->where('status',1)->count();
            $count_fresh = PostJob::where('experience','No-Experience')->where('status',1)->count();
            $count_expert= PostJob::where('experience','Expert')->where('status',1)->count();
            $job_filter = PostJob::select('job_title', 'job_category', 'location', 'skills')
            ->where('status', 1)
            ->get();
    
            return view('pages.jobs',get_defined_vars());
        }
       
    }
    public function jobDetails(Request $request,$id,$slug){
        $details = PostJob::where('id',$id)->where('slug',$slug)->with('get_employer')->first();
        if(!empty($details)){
            return view('pages.job-details',get_defined_vars());
        }else {
            return back();
        }
    }
    public function allCandidates(Request $request){
        if(!empty($request->search)){
            $searchTags = $request->input('search'); // Assuming you pass the search tags in the request

            $candidates = UserExperience::where(function ($candidates) use ($searchTags) {
                $candidates->orWhere('title', 'LIKE', "%$searchTags%")
                    ->orWhere('company', 'LIKE', "%$searchTags%")
                    ->orWhere('start_year', 'LIKE', "%$searchTags%")
                    ->orWhere('minimum_salary', 'LIKE', "%$searchTags%")
                    ->orWhere('maximum_salary', 'LIKE', "%$searchTags%")
                    ->orWhere('skills', 'LIKE', "%$searchTags%")
                    ->orWhere('experience', 'LIKE', "%$searchTags%")
                    ->orWhere('location', 'LIKE', "%$searchTags%")
                    ->orWhere('english_fluency', 'LIKE', "%$searchTags%");
            })
            ->orWhereHas('get_education', function ($educationQuery) use ($searchTags) {
                $educationQuery->where('title', 'LIKE', "%$searchTags%")
                               ->orWhere('academy', 'LIKE', "%$searchTags%");
                               
            })->
            with('get_education','user.get_country','user.get_city')->get();
            
            $count_candidates = count($candidates);
            $filters_data = UserExperience::with('get_education:title')
            ->select('title', 'skills','location','english_fluency')
            ->get();
            return view('pages.candidates',get_defined_vars());
        }else if(!empty($request->job_title)){
            // return $request->all();
            $candidates = UserExperience::where('title', 'LIKE', "%$request->job_title%")
            ->where('skills', 'LIKE', "%$request->job_category%")
            ->with('get_education', 'user.get_country', 'user.get_city')
            ->get();
            // return $candidates;
               $filters_data = UserExperience::with('get_education:title')
            ->select('title', 'skills','location','english_fluency')
            ->get();
            $count_candidates = count($candidates);
            return view('pages.candidates',get_defined_vars());
        }else {
            $candidates  = UserExperience::with('get_education','user.get_country','user.get_city')->get();
            $count_candidates = UserExperience::count();
             $filters_data = UserExperience::with('get_education:title')
            ->select('title', 'skills','location','english_fluency')
            ->get();
            return view('pages.candidates',get_defined_vars());
        }
        
    }
    public function candidateDetails(Request $request,$id,$slug=null){
        $details = UserExperience::where('id',$id)->with('get_education','user.get_country','user.get_city')->first();
        if(!empty($details)){
            return view('pages.candidate-details',get_defined_vars());
        }else {
            return back();
        }
    }
    public function allBlogs(Request $request){
            $blogs = Blog::where('status',1)->get();
        return view('pages.blogs',compact('blogs'));
    }
    public function blogDetails(Request $request,$slug){
        $details = Blog::where('slug',$slug)->first();
        $blogs = Blog::Where('status',1)->take(3)->latest()->get();
        if(!empty($details)){
            return view('pages.blog-details',get_defined_vars());
        }else {
            return back();
        }
    }
    public function contact(Request $request){
        return view('pages.contact');
    }
    public function signup(Request $request){
        return view('pages.sign-up');
    }
    public function login(Request $request){
        return view('auth.login');
    }
    public function saveJobs(Request $request){
        
        if(!Auth::check()){
            return response()->json([
                'status' => 419,
                'message' => 'Please Login to save jobs'
            ]);
        }else {
            $check_job = SaveJob::where('user_id',Auth::id())->where('job_id',$request->dataId)->first();
            if(!empty($check_job)){
                return response()->json([
                    'status' => '202',
                    'message' => 'Job is already saved !'
                ]);
            }else {
                $save_job = new SaveJob();
                $save_job->user_id = Auth::id();
                $save_job->job_id = $request->dataId;
                $save_job->save();
                return response()->json([
                    'status' => 200,
                    'message' => 'Job saved successfully !'
                ]);
            }
        }
       
    }
    public function deleteJob(Request $request,$id){
        $delete_job = SaveJob::where('user_id',Auth::id())->where('job_id',$id)->first();
        $delete_job->delete();
        $notification = array('message' => 'Job removed from saved list!', 'alert-type' => 'success');
        return redirect()->back()->with($notification);
    }
    public function saveContact(Request $request){
        $validator = Validator::make($request->all(), [
            'name' => 'required|max:50',
            'email' =>  'required|max:100',
            'message' =>  'required|max:30',
        ]);

        if ($validator->fails()) {
            return response()->json(
            ['status' => 400, 'errors' => $validator->errors()->toArray()]
            );
        }else {
            $contact = new Inquiry();
            $contact->name = $request->name;
            $contact->email = $request->email;
            $contact->subject = $request->subject;
            $contact->message = $request->message;
            $contact->save();
            return response()->json([
                'status' => 200,
                'message' => 'Thank you we have received your query !'
            ]);
        }
    }
     public function userRegister(Request $request){
         
        $validator = Validator::make($request->all(), [
            'name' => 'required|max:35',
            'email' =>  'required|max:50',
            'password' =>  'required|max:30',
        ]);

        if ($validator->fails()) {
            return response()->json(
            ['status' => 400, 'errors' => $validator->errors()->toArray()]
            );
        }else {
        $user  = New User();
        $user->name = $request->name;
        $user->slug = Str::slug($request->name,'-');
        $user->email = $request->email;
        $user->password = Hash::make($request->password);
        $user->role_id = $request->role_id;
        $user->save();
        return response([
            'status' => 200,
            'message' => 'Account created successfully login to continue !.',
        ],200);
    }

    }
     public function userLogin(Request $request)
    {  
        $input = $request->all();

        $this->validate($request, [
            'email' => 'required|email',
            'password' => 'required',
        ]);
     
         $credentials = Auth::attempt([
            'email' => $request->email,
            'password' => $request->password,
        ]);


            // $user_status = User::where('email', $request->email)->first();
            // if(!empty($user_status)){
            //      if($user_status->account_status == null){
            //         return response()->json([
            //             'status' => 403,
            //             'message' => 'Your account is not verified!'
            //         ]);
            //     }
            // }
                if ($credentials) {
                    if (Auth::check() && Auth::user()->role_id == 3) {
                        
                        return response()->json([
                            'status' => 201,
                            'message' => 'Login Successfully !'
                        ]);
                       
                    }else if(Auth::check() && Auth::user()->role_id == 2){
                        return response()->json([
                            'status' => 200,
                            'message' => 'Login Successfully !'
                        ]);
                      
                    }
                    else if(Auth::check() && Auth::user()->role_id == 1){
                        return response()->json([
                            'status' => 202,
                            'message' => 'Login Successfully !'
                        ]);
                      
                    }
                }  else {
                        return response()->json([
                            'status' => 401,
                            'message' => 'Invalid Credentials !'
                        ]);
                           
                }
    }

    
  
    public function filterJobs(Request $request)
    {
   
    $location = $request->input('get_location');
    $jobType = $request->input('JobType');
    $experience = $request->input('Experience');
    $minPrice = $request->input('minPrice');
    $maxPrice = $request->input('maxPrice');
    $categories = $request->input('categories');
    $tags = $request->input('tags');

    // Modify your Eloquent query based on the filter criteria
    $query = PostJob::where('status', 1);

    if ($location) {
        $query->where('location', $location);
    }

    if ($jobType) {
        $query->whereIn('job_type', $jobType);
    }

    if ($experience) {
        $query->whereIn('experience', $experience);
    }

    // $query->where(function ($query) use ($minPrice, $maxPrice) {
    //     $query->where('min_salary', '<=', $maxPrice)
    //         ->where('max_salary', '>=', $minPrice);
    // });
    
      if($minPrice){
         $query->where('min_salary', '<=', $minPrice);
    }
    
    if($maxPrice){
         $query->where('max_salary', '<=', $maxPrice);
    }

    if ($categories) {
        $query->whereIn('job_category', $categories);
    }

    if ($tags) {
        $query->where(function ($query) use ($tags) {
            foreach ($tags as $tag) {
                $query->orWhere('skills', 'LIKE', "%$tag%");
            }
        });
    }

    // Execute the query and return the filtered jobs
    $filteredJobs = $query->with('get_employer')->get();
    return response()->json($filteredJobs);



    }
    
        public function filterUsers(Request $request)
    {
        $category= $request->input('category'); 
        $location = $request->input('location');
        $experience = $request->input('experience');
        $qualification = $request->input('qualification');
        $englishFluency = $request->input('english_fluency');
        $minSalary = $request->input('min_salary');
        $maxSalary = $request->input('max_salary');

        $query = UserExperience::query();

        if ($category) {
            $query->where('skills', 'like', '%' . $category . '%');
        }  
        
        if ($location) {
            $query->where('location', $location);
        }
         if ($experience) {
            $query->whereIn('experience', $experience);
        }
        
       
        // $data = $query->whereHas('get_education',  function ($q) use ($qualification) {
        //     $q->where('title', $qualification);
        // })->get();
        
         
        $filteredResults = $query->with('user','get_education')->get();
        return $filteredResults;

        if ($minSalary) {
            $query->where('minimum_salary', '>=', $minSalary);
        }

        if ($maxSalary) {
            $query->where('maximum_salary', '<=', $maxSalary);
        }
        
        if ($englishFluency) {
            $query->where('english_fluency', $englishFluency);
        }
        

        $filteredResults = $query->with('user','get_education')->get();
        return response()->json($filteredResults);
    }
   public function resetPassword(Request $request){
    $validator = Validator::make($request->all(), [
        'email' =>  'required|max:50',
    ]);

    if ($validator->fails()) {
        return response()->json(
        ['status' => 400, 'errors' => $validator->errors()->toArray()]
        );
    }else {
        $check_email = User::where('email' ,$request->email)->first();
        if(!empty($check_email)){
            $token = Str::random(64);
            DB::table('password_resets')->insert(
                ['email' => $request->email, 'token' => $token, 'created_at' => Carbon::now()]
            );
            $data = [
                'email' => $request->email,
                
            ];
            $emailuser = $request->email;
            Mail::send('emails.reset', ['data' => $data , 'token' => $token],
            function ($message) use ($emailuser)
            {
                $message
                ->to($emailuser, 'user')->subject('Reset Password');
            });

            return response()->json([
                'status' => 200,
                'message' => 'We have sent you email to reset password !'
            ]);
        }else {
            return response()->json([
                'status' => 404,
                'message' => 'Account with this email does not exist !'
            ]);
        }
    }
}

public function getPassword(Request $request,$token){
    
    return view('pages.update-password',['token' => $token]);
}
public function updatepassword(Request $request){
        $request->validate([
            'password_confirmation' => 'required',
            'password' => 'required|string|min:6|confirmed',
            'email' => 'required|email|exists:users',
        ]);

        $updatePassword = DB::table('password_resets')
        ->where(['email' => $request->email, 'token' => $request->token])
        ->first();

        if(!$updatePassword)
        // return redirect()->back()->with('unauthorize','You are not allowed to update');
        return back()->with('token', 'Invalid token!');

        $user = User::where('email', $request->email)
        ->update(['password' => Hash::make($request->password)]);
        DB::table('password_resets')->where(['email'=> $request->email])->delete();
        
       $notification = array('message' => 'Password Updated Successfully Login to continue!', 'alert-type' => 'success');
        return redirect('/')->with($notification);

    }
                
}
