<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class CheckUserRole
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle($request, Closure $next, ...$allowedRoles)
    {
        // Check if the user is authenticated
        if (auth()->check()) {
            // Get the user's role_id
            $userRoleId = auth()->user()->role_id;

            // Check if the user's role matches any of the allowed roles
            if (in_array($userRoleId, $allowedRoles)) {
                return $next($request);
            }
        }

        // If the user doesn't have the required role, you can redirect them or handle it as needed.
        return redirect()->route('home');
    }
}
