@extends('layouts.web-main')
@section('content')
<div class="modal-dialog modal-fullscreen modal-dialog-centered">
    <div class="container">
        <div class="user-data-form modal-content">
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            <div class="text-center">
                <h2>Hi, Welcome Back!</h2>
                <p>Still don't have an account? <a href="{{route('register')}}">Sign up</a></p>
            </div>
            <div class="form-wrapper m-auto">
                <form method="POST" action="{{ route('user-login') }}"class="mt-10">
                    @csrf
                    <div class="row">
                        <div class="col-12">
                            <div class="input-group-meta position-relative mb-25">
                                <label>Email*</label>
                                <input type="email" name="email" placeholder="Your Email Address" required>
                            </div>
                            @error('email')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                        <div class="col-12">
                            <div class="input-group-meta position-relative mb-20">
                                <label>Password*</label>
                                <input type="password" name="password" placeholder="Enter Password" class="pass_log_id" placeholder="Enter your password">
                                <span class="placeholder_icon"><span class="passVicon"><img src="images/icon/icon_60.svg" alt=""></span></span>
                            </div>
                            @error('password')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                        <div class="col-12">
                            <div class="agreement-checkbox d-flex justify-content-between align-items-center">
                                <div>
                                    <input type="checkbox" id="remember">
                                    <label for="remember">Keep me logged in</label>
                                    {{ __('Remember Me') }}
                                </div>
                                <a href="#">Forget Password?</a>
                            </div> <!-- /.agreement-checkbox -->
                        </div>
                        <div class="col-12">
                            <button type="submit" class="btn-eleven fw-500 tran3s d-block mt-20">
                                {{ __('Login') }}
                            </button>
                            @if (Route::has('password.request'))
                            <a class="btn btn-link" href="{{ route('password.request') }}">
                                {{ __('Forgot Your Password?') }}
                            </a>
                        @endif
                        </div>
                    </div>
                </form>
                <div class="d-flex align-items-center mt-30 mb-10">
                    <div class="line"></div>
                    <span class="pe-3 ps-3">OR</span>
                    <div class="line"></div>
                </div>
                <div class="row">
                    
                        <a href="#" class="social-use-btn d-flex align-items-center justify-content-center tran3s w-100 mt-10">
                            <img src="images/icon/google.png" alt="">
                            <span class="ps-2">Login with Google</span>
                        </a>
            
                    <!-- <div class="col-md-6">
                        <a href="#" class="social-use-btn d-flex align-items-center justify-content-center tran3s w-100 mt-10">
                            <img src="images/icon/facebook.png" alt="">
                            <span class="ps-2">Login with Facebook</span>
                        </a>
                    </div> -->
                </div>
                <p class="text-center mt-10">Don't have an account? <a href="{{route('sign-up')}}" class="fw-500">Sign up</a></p>
            </div>
            <!-- /.form-wrapper -->
        </div>
        <!-- /.user-data-form -->
    </div>
</div>
@endsection
