@extends('layouts.web-main')
@section('content')
    <!--
      =============================================
       Inner Banner
      ==============================================
      -->
    <div class="inner-banner-one position-relative">
        <div class="container">
            <div class="position-relative">
                <div class="row">
                    <div class="col-xl-6 m-auto text-center">
                        <div class="title-two">
                            <h2 class="text-white">Blog</h2>
                        </div>
                        <p class="text-lg text-white mt-30 lg-mt-20">Read our blog from top talents</p>
                    </div>
                </div>

            </div>
        </div>
        <img src="{{ asset('assets/images/lazy.svg') }}" data-src="{{ asset('assets/images/shape/shape_02.svg') }}"
            alt="" class="lazy-img shapes shape_01">
        <img src="{{ asset('assets/images/lazy.svg') }}" data-src="{{ asset('assets/images/shape/shape_03.svg') }}"
            alt="" class="lazy-img shapes shape_02">
    </div> <!-- /.inner-banner-one -->



    <!--
      =============================================
       Blog
      ==============================================
      -->
    <section class="blog-section pt-100 lg-pt-80 pb-120 lg-pb-80">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="row">
                        @foreach($blogs as $key => $value)
                            
                        <div class="col-lg-4 col-md-12">
                            <article class="blog-meta-two mb-60 lg-mb-40">
                                <figure class="post-img m0">
                                    <a href="{{route('blog-details', ['slug' => $value->slug]) }}" class="w-100 d-block"><img src="{{ asset('blog/' . $value->image) }}"
                                            data-src="{{ asset('blog/' . $value->image) }}" alt=""
                                            class="lazy-img w-100 tran4s"></a>
                                    {{-- <a href="{{ route('blog-details')}}" class="tags color-two fw-500">Solution</a> --}}
                                </figure>
                                <div class="post-data mt-35 lg-mt-20">
                                    <div class="date"> <a
                                            href="{{route('blog-details', ['slug' => $value->slug]) }}">{{$value->created_at->format('d M Y')}}</a></div>
                                    <a href="{{route('blog-details', ['slug' => $value->slug]) }}">
                                        <h4 class="tran3s blog-title xs">{{$value->title}}
                                        </h4>
                                    </a>
                                    <a href="{{route('blog-details', ['slug' => $value->slug]) }}" class="continue-btn tran3s d-flex align-items-center">
                                        <span class="fw-500 me-2">Continue Reading</span>
                                        <i class="bi bi-arrow-right"></i>
                                    </a>
                                </div>
                            </article>
                            <!-- /.blog-meta-two -->
                        </div>
                        @endforeach

                        
                    </div>
                    <!--<ul class="pagination-one d-flex align-items-center style-none pt-10">-->
                    <!--    <li class="active"><a href="#">1</a></li>-->
                    <!--    <li><a href="#">2</a></li>-->
                    <!--    <li><a href="#">3</a></li>-->
                    <!--    <li><a href="#">4</a></li>-->
                    <!--    <li>....</li>-->
                    <!--    <li class="ms-2"><a href="#" class="d-flex align-items-center">Last <img-->
                    <!--                src="{{ asset('assets/images/icon/icon_50.svg') }}" alt="" class="ms-2"></a></li>-->
                    <!--</ul>-->
                </div>

                {{-- <div class="col-lg-4">
                    <div class="blog-sidebar ps-xl-4 md-mt-60">
                        <form action="#" class="search-form position-relative mb-50 lg-mb-40">
                            <input type="text" placeholder="Search...">
                            <button><i class="bi bi-search"></i></button>
                        </form>

                        <div class="category-list mb-60 lg-mb-40">
                            <h3 class="sidebar-title">Category</h3>
                            <ul class="style-none">
                                <li><a href="#">Education (3)</a></li>
                                <li><a href="#">Information (4)</a></li>
                                <li><a href="#">Interview (2)</a></li>
                                <li><a href="#">Speaking (8)</a></li>
                                <li><a href="#">Skill (5)</a></li>
                                <li><a href="#">Developer (3)</a></li>
                                <li><a href="#">Account (7)</a></li>
                            </ul>
                        </div>
                        
                    </div>
                    <!-- /.blog-sidebar -->
                </div> --}}
            </div>
        </div>
    </section>
    <!-- ./blog-section -->




    <!--
      =====================================================
       Job Portal Intro
      =====================================================
      -->
    <section class="job-portal-intro">
        <div class="container">
            <div class="wrapper bottom-border top-border pt-65 md-pt-50 pb-65 md-pb-50">
                <div class="row align-items-center">
                    <div class="col-lg-7">
                        <div class="text-center text-lg-start">
                            <h2>Most complete job portal.</h2>
                            <p class="text-md m0 md-pb-20">Signup and start find your job or talents.</p>
                        </div>
                    </div>
                    <div class="col-lg-5">
                        <ul class="btn-group style-none d-flex flex-wrap justify-content-center justify-content-lg-end">
                            @if(Auth::check() && (Auth::user()->role_id  == 3))
                            <li class="me-2"><a href="{{route('all-jobs')}}" class="btn-three">Looking for job?</a></li>
                            @endif
                            @if(Auth::check() && (Auth::user()->role_id  == 2))
                            <li class="ms-2"><a href="{{ route('post-job')}}" class="btn-four">Post a job</a></li>
                            @endif

                            @if(!Auth::check())
                            <li class="me-2"><a href="{{route('sign-up')}}" class="btn-three">Looking for job?</a></li>
                            <li class="ms-2"><a href="{{ route('sign-up')}}" class="btn-four">Post a job</a></li>

                            @endif
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- /.job-portal-intro -->
@endsection
