@extends('layouts.web-main')
@section('content')

		<!-- 
		=============================================
			Inner Banner
		============================================== 
		-->
		<div class="inner-banner-one position-relative pb-0">
			<div class="map-banner">
                <div class="gmap_canvas h-100 w-100">
                    <iframe class="gmap_iframe h-100 w-100" src="https://maps.google.com/maps?width=600&amp;height=400&amp;hl=en&amp;q=300+Spectrum+Center+Drive,+Irvine,+CA+92618,+USA&amp;t=&amp;z=12&amp;ie=UTF8&amp;iwloc=B&amp;output=embed"></iframe>

                </div>
            </div>
			<img src="{{ asset('assets/images/lazy.svg') }}" data-src="{{ asset('assets/images/shape/shape_02.svg') }}"
            alt="" class="lazy-img shapes shape_01">
		</div> <!-- /.inner-banner-one -->



		<!-- 
		=============================================
			Contact Us
		============================================== 
		-->
		<section class="contact-us-section pt-100 lg-pt-80">
			<div class="container">
                <div class="border-bottom pb-150 lg-pb-80">
                    <div class="title-one text-center mb-70 lg-mb-40">
                        <h2>Get in touch</h2>
                    </div>
                    <div class="row">
						<div class="col-xl-10 m-auto">
							<div class="row">
								<div class="col-md-4">
									<div class="address-block-one text-center mb-40 wow fadeInUp">
										<div class="icon rounded-circle d-flex align-items-center justify-content-center m-auto"><img src="{{ asset('assets/images/icon/icon_57.svg')}}" alt=""></div>
										<h5 class="title">Our Address</h5>
										<p>300 Spectrum Center Drive, Irvine<br>, CA 92618, USA</p>
									</div> <!-- /.address-block-one -->
								</div>
								<div class="col-md-4">
									<div class="address-block-one text-center mb-40 wow fadeInUp">
										<div class="icon rounded-circle d-flex align-items-center justify-content-center m-auto"><img src="{{ asset('assets/images/icon/icon_58.svg')}}" alt=""></div>
										<h5 class="title">Contact Info</h5>
										<p>Give us call at <br><a href="tel:9499796582" class="call">+9499796582</a></p>
									</div> <!-- /.address-block-one -->
								</div>
								<div class="col-md-4">
									<div class="address-block-one text-center mb-40 wow fadeInUp">
										<div class="icon rounded-circle d-flex align-items-center justify-content-center m-auto"><img src="{{ asset('assets/images/icon/icon_59.svg')}}" alt=""></div>
										<h5 class="title">For Inquiry</h5>
										<p>Send an email <br><a href="mailto:info@mytalentchoices.com" class="email">info@mytalentchoices.com</a></p>
									</div> <!-- /.address-block-one -->
								</div>
							</div>
						</div>
					</div>

                    <div class="row">
						<div class="col-xl-9 m-auto">
							<div class="form-style-one mt-85 lg-mt-50 wow fadeInUp">
								<form id="contactform" method="POST" >
									@csrf
									<div class="messages"></div>
									<div class="row controls">
										<div class="col-sm-6">
											<div class="input-group-meta form-group mb-30">
												<label for="">Name*</label>
												<input type="text" placeholder="Your Name*" name="name" required="required" data-error="Name is required.">
												<div class="help-block with-errors"></div>
											</div>
										</div>
										<div class="col-sm-6">
											<div class="input-group-meta form-group mb-30">
												<label for="">Email*</label>
												<input type="email" placeholder="Email Address*" name="email" required="required" data-error="Valid email is required.">
												<div class="help-block with-errors"></div>
											</div>
										</div>
										<div class="col-12">
											<div class="input-group-meta form-group mb-35">
												<label for="">Subject (optional)</label>
												<input type="text"  placeholder="Write about the subject here.." name="subject" >
											</div>
										</div>
										<div class="col-12">
											<div class="input-group-meta form-group mb-35">
												<textarea placeholder="Your message*" name="message" required="required" data-error="Please,leave us a message."></textarea>
												<div class="help-block with-errors"></div>
											</div>
										</div>
										<div class="col-12">
											<button type="submit" class="btn-eleven fw-500 tran3s d-block">Send Message</button>
										</div>
									</div>
								</form>
							</div> <!-- /.form-style-one -->
						</div>
					</div>
                </div>
            </div>
		</section>
		<!-- ./contact-us-section -->
		<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>


		<script>
			$(document).ready(function() {
				var CSRF_TOKEN = $('meta[name="csrf-token"]').attr('content');
				$("#contactform").on('submit', function(e) {
					e.preventDefault();
					var form = $("#contactform");
					$.ajax({
						url: "{{ route('save-contact') }}",
						 type: 'POST',
						 data: form.serialize(),
						 dataType: 'JSON',
						success: function(response, data) {
							if (response.status == 400) {
								$.each(response.errors, function(prefix, val) {
									toastr.error(val[0]);
								});
							}if(response.status == 404){
							   toastr.error(response.message);
							}
		
							 if(response.status == 200){
								toastr.success(response.message);
							 }
							 $('#contactform')[0].reset();

		
						}
					});
		
				});
			});
		
		</script>
@endsection