<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet" type="text/css">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    <link href="{{ asset('css/style.css') }}" rel="stylesheet">
</head>
<style>
    .errorTxt, .text-red, #email-error{
    color: grey !important;
    font-size: 12px!important;
    font-style: italic;
}

#credit_cards img{
	height: 30px;
	margin-top: 10px;	
}

</style>
<body>
    
    
{{-- 
@php
    $months = array(1 => 'Jan', 2 => 'Feb', 3 => 'Mar', 4 => 'Apr', 5 => 'May', 6 => 'Jun', 7 => 'Jul', 8 => 'Aug', 9 => 'Sep', 10 => 'Oct', 11 => 'Nov', 12 => 'Dec');
@endphp --}}
{{-- <section class="container-fluid inner-Page" >
    <div class="card-panel">
        <div class="media wow fadeInUp" data-wow-duration="1s"> 
            <div class="companyIcon">
            </div>
            <div class="media-body">
                
                <div class="container">
                    @if(session('success_msg'))
                    <div class="alert alert-success fade in alert-dismissible show">                
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                         <span aria-hidden="true" style="font-size:20px">×</span>
                        </button>
                        {{ session('success_msg') }}
                    </div>
                    @endif
                    @if(session('error_msg'))
                    <div class="alert alert-danger fade in alert-dismissible show">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                          <span aria-hidden="true" style="font-size:20px">×</span>
                        </button>    
                        {{ session('error_msg') }}
                    </div>
                    @endif
                    <div class="row">
                        <div class="col-md-6">
                            <h1>Payment</h1>
                        </div>                       
                    </div>    
                    <div class="row">                        
                        <div class="col-xs-12 col-md-6" style="background: lightgreen; border-radius: 5px; padding: 10px;">
                            <div class="panel panel-primary">                                       
                                <div class="creditCardForm">                                    
                                    <div class="payment">
                                        <form id="payment-card-info" method="post" action="{{ route('dopay.online') }}">
                                            @csrf
                                            <input type="hidden" name="package_name" value="{{ session()->get('package_name') }}">
                                            <input type="hidden" name="amount" value="{{ session()->get('amount') }}">
                                            <input type="hidden" name="package_type" value="{{ session()->get('package_type') }}">
                                            <div class="row">
                                                <div class="form-group owner col-md-8">
                                                    <label for="owner">Owner</label>
                                                    <input type="text" class="form-control" id="owner" name="owner" value="{{ old('owner') }}" required>
                                                    <span id="owner-error" class="error text-red">Please enter owner name</span>
                                                </div>
                                                <div class="form-group CVV col-md-4">
                                                    <label for="cvv">CVV</label>
                                                    <input type="number" class="form-control" id="cvv" name="cvv" value="{{ old('cvv') }}" required>
                                                    <span id="cvv-error" class="error text-red">Please enter cvv</span>
                                                </div>
                                            </div>    
                                            <div class="row">
                                                <div class="form-group col-md-8" id="card-number-field">
                                                    <label for="cardNumber">Card Number</label>
                                                    <input type="text" class="form-control" id="cardNumber" name="cardNumber" value="{{ old('cardNumber') }}" required>
                                                    <span id="card-error" class="error text-red">Please enter valid card number</span>
                                                </div>
                                                <div class="form-group col-md-4" >
                                                    <label for="amount">Amount</label>
                                                    <input type="number" class="form-control" id="amount" name="amount" min="1" value="{{ session()->get('amount') }}" readonly required>
                                                    <span id="amount-error" class="error text-red">Please enter amount</span>
                                                </div>
                                            </div>    
                                            <div class="row">
                                                <div class="form-group col-md-6" id="expiration-date">
                                                    <label>Expiration Date</label><br/>
                                                    <select class="form-control" id="expiration-month" name="expiration-month" style="float: left; width: 100px; margin-right: 10px;">
                                                        @foreach($months as $k=>$v)
                                                            <option value="{{ $k }}" {{ old('expiration-month') == $k ? 'selected' : '' }}>{{ $v }}</option>                                                        
                                                        @endforeach
                                                    </select>  
                                                    <select class="form-control" id="expiration-year" name="expiration-year"  style="float: left; width: 100px;">
                                                        
                                                        @for($i = date('Y'); $i <= (date('Y') + 15); $i++)
                                                        <option value="{{ $i }}">{{ $i }}</option>            
                                                        @endfor
                                                    </select>
                                                </div>                                                
                                                <div class="form-group col-md-6" id="credit_cards" style="margin-top: 22px;">
                                                    <img src="{{ asset('images/visa.jpg') }}" id="visa">
                                                    <img src="{{ asset('images/mastercard.jpg') }}" id="mastercard">
                                                    <img src="{{ asset('images/amex.jpg') }}" id="amex">
                                                </div>
                                            </div>
                                            
                                            <br/>
                                            <div class="form-group" id="pay-now">
                                                <button type="submit" class="btn btn-success themeButton" id="confirm-purchase">Confirm Payment</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>                                
                            </div>
                        </div>   
                        <div class="col-md-1"></div>
                        <div class="col-md-5" style="background: lightblue; border-radius: 5px; padding: 10px;">
                            <h3>Sample Data</h3>
                            <table class="table table-bordered">
                                <tbody>
                                <tr>
                                    <th>
                                        Owner
                                    </th>
                                    <td>
                                        Simon
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        CVV
                                    </th>
                                    <td>
                                        123
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        Card Number
                                    </th>
                                    <td>
                                        4111 1111 1111 1111
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        Amount
                                    </th>
                                    <td>
                                        99
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        Expiration Date
                                    </th>
                                    <td>
                                        {{date('M')."-".(date('Y')+2)}}
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>         
                    </div>
                </div>
            </div>

        </div>
    </div> 
    <div class="clearfix"></div>
</section>   --}}

</body>
</html>  



<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Payment Form</title>
    <!-- Include your CSS styles here if not in a separate file -->
    <style>
        body {
            font-family: 'Nunito', sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f8f9fa;
        }

        .payment-card-form {
            width: 400px;
            margin: 50px auto;
            background: #fff;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        h2 {
            color: #28a745;
            text-align: center;
        }

        .form-group {
            margin-bottom: 20px;
        }

        label {
            display: block;
            font-weight: bold;
            margin-bottom: 5px;
        }

        input, select {
            width: 100%;
            padding: 10px;
            box-sizing: border-box;
            border: 1px solid #ccc;
            border-radius: 5px;
            margin-top: 5px;
        }

        .card-images {
            margin-top: 15px;
            text-align: center;
        }

        .card-images img {
            width: 30px;
            margin-right: 10px;
        }

        button {
            background-color: #28a745;
            color: #fff;
            padding: 10px 20px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            width: 100%;
        }

        button:hover {
            background-color: #218838;
        }

        .footer {
            margin-top: 20px;
            text-align: center;
            color: #6c757d;
        }
    </style>
</head>

<body>
    @php
    $months = array(1 => 'Jan', 2 => 'Feb', 3 => 'Mar', 4 => 'Apr', 5 => 'May', 6 => 'Jun', 7 => 'Jul', 8 => 'Aug', 9 => 'Sep', 10 => 'Oct', 11 => 'Nov', 12 => 'Dec');
@endphp
    <div class="payment-card-form">
        @if(session('success_msg'))
        <div class="alert alert-success fade in alert-dismissible show">                
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
             <span aria-hidden="true" style="font-size:20px">×</span>
            </button>
            {{ session('success_msg') }}
        </div>
        @endif
        @if(session('error_msg'))
        <div class="alert alert-danger fade in alert-dismissible show">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
              <span aria-hidden="true" style="font-size:20px">×</span>
            </button>    
            {{ session('error_msg') }}
        </div>
        @endif
        <h2>Payment Details</h2>
        <form id="payment-card-info" method="post" action="{{ route('dopay.online') }}">
            @csrf
            <input type="hidden" name="package_name" value="{{ session()->get('package_name') }}">
            <input type="hidden" name="amount" value="{{ session()->get('amount') }}">
            <input type="hidden" name="package_type" value="{{ session()->get('package_type') }}">
            <div class="form-group">
                <label for="cardHolder">Card Holder Name</label>
                <input type="text" id="cardHolder" name="owner" value="{{ old('owner') }}" required>
            </div>

            <div class="form-group">
                <label for="cvv">CVV</label>
                <input type="number" id="cvv"  name="cvv" value="{{ old('cvv') }}" required>
            </div>

            <div class="form-group">
                <label for="cardNumber">Card Number</label>
                <input type="text" id="cardNumber" name="cardNumber" value="{{ old('cardNumber') }}" required>
            </div>

            <div class="form-group">
                <label for="expirationDate">Expiration Date</label>
                <div>
                    <select id="expirationMonth" name="expiration-month"     required>
                        @foreach($months as $k=>$v)
                        <option value="{{ $k }}" {{ old('expiration-month') == $k ? 'selected' : '' }}>{{ $v }}</option>                                                        
                    @endforeach
                    </select>
                    <select id="expirationYear" name="expiration-year" required>
                        @for($i = date('Y'); $i <= (date('Y') + 15); $i++)
                        <option value="{{ $i }}">{{ $i }}</option>            
                        @endfor
                    </select>
                </div>
            </div>

            <div class="form-group">
                <label for="amount">Amount</label>
                <input type="number" id="amount" name="amount" name="amount" min="1" value="{{ session()->get('amount') }}" readonly required>
            </div>

            <div class="card-images">
                <img src="{{ asset('images/visa.jpg') }}" alt="Visa">
                <img src="{{ asset('images/mastercard.jpg') }}" alt="MasterCard">
                <img src="{{ asset('images/amex.jpg') }}" id="amex">
            </div>

            <button type="submit">Submit Payment</button>
        </form>

        <div class="footer">
            <!-- Additional information or links can be added here -->
            Need help? Contact support.
        </div>
    </div>

</body>

</html>
