<?php $__env->startSection('content'); ?>
    <h2 class="main-title">My Profile</h2>
    <form method="POST" action="<?php echo e(route('profileUpdate')); ?>" enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <div class="bg-white card-box border-20">
            <div class="user-avatar-setting d-flex align-items-center mb-30">
                <img src="<?php echo e(asset('public/images/userDp/' . (isset($userData['photo']) ? $userData['photo'] : '/avatar_02.jpg'))); ?>"
                    data-src="<?php echo e(asset('public/images/userDp/' . (isset($userData['photo']) ? $userData['photo'] : '/avatar_02.jpg'))); ?>"
                    alt="User Profile Image">
                <div class="upload-btn position-relative tran3s ms-4 me-3">
                    Upload new photo
                    <input name="photo" type="file" id="uploadImg" name="uploadImg" placeholder="">
                </div>
                <button class="delete-btn tran3s">Delete</button>
            </div>
            <!-- /.user-avatar-setting -->
            <div class="dash-input-wrapper mb-30">
                <label for="">Full Name*</label>
                <input type="text" value="<?php echo e(Auth::user()->name); ?>" name="name">
            </div>
            <!-- /.dash-input-wrapper -->
            <div class="dash-input-wrapper">
                <label for="">Bio*</label>
                <textarea class="size-lg" name="about" placeholder="Write something interesting about you...."><?php echo e(Auth::user()->about); ?></textarea>
                <div class="alert-text">Brief description for your profile. URLs are hyperlinked.</div>
            </div>
            <!-- /.dash-input-wrapper -->
        </div>
        <!-- /.card-box -->

        <div class="bg-white card-box border-20 mt-40">
            <h4 class="dash-title-three">Social Media</h4>

            <div class="dash-input-wrapper mb-20">
                <label for="">FaceBook Url</label>
                <input type="text" value="<?php echo e(Auth::user()->facebook_url); ?>"
                    name="facebookUrl">
            </div>
            <!-- /.dash-input-wrapper -->
            <div class="dash-input-wrapper mb-20">
                <label for="">LinkedIn Url</label>
                <input type="text" name="linkedInUrl"
                    value="<?php echo e(Auth::user()->linkedin_url); ?>">
            </div>
            <!-- /.dash-input-wrapper -->

        </div>
        <!-- /.card-box -->

        <div class="bg-white card-box border-20 mt-40">
            <h4 class="dash-title-three">Address & Location</h4>
            <div class="row">
                <div class="col-12">
                    <div class="dash-input-wrapper mb-25">
                        <label for="">Address*</label>
                        <input type="text" name="address" value="<?php echo e(isset($userData['address']) ? $userData['address'] : ''); ?>" >
                    </div>
                    <!-- /.dash-input-wrapper -->
                </div>
                <div class="col-lg-3">
                    <div class="dash-input-wrapper mb-25">
                        <label for="">Country*</label>
                        <select name="country" id="country" class="form-control">
                            <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($country->id); ?>" <?php echo e($country->id == Auth::user()->country_id ? 'selected' : ''); ?> ><?php echo e($country->name); ?></option>
                        
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <!-- /.dash-input-wrapper -->
                </div>
                <div class="col-lg-3">
                    <div class="dash-input-wrapper mb-25">
                        <label for="">State*</label>
                        <select id="state" name="state" class="form-control">
                            <option value="">Select State</option>

                                <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($state->id); ?>" <?php echo e($state->id == Auth::user()->state_id  ? 'selected' : ''); ?>><?php echo e($state->name); ?></option>

                             <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <!-- /.dash-input-wrapper -->
                </div>

            
                <div class="col-lg-3">
                    <div class="dash-input-wrapper mb-25">
                        <label for="">City*</label>
                        <select name="city" id="city" class="form-control">
                            
                            <option value="">Select City</option>
                            <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($value->id); ?>" <?php echo e($value->id  == Auth::user()->city_id ? 'selected' : ''); ?> ><?php echo e($value->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </select>
                    </div>
                    <!-- /.dash-input-wrapper -->
                </div>
                <div class="col-lg-3">
                    <div class="dash-input-wrapper mb-25">
                        <label for="">Zip Code*</label>
                        <input type="number" name="zipCode" placeholder="1708" value="<?php echo e(Auth::user()->zip_code ?? ''); ?>" class="form-control">
                    </div>
                    <!-- /.dash-input-wrapper -->
                </div>
                
            </div>
        </div>
        <!-- /.card-box -->

        <div class="button-group d-inline-flex align-items-center mt-30">
            <button type="submit" href="#" class="dash-btn-two tran3s me-3">Save</button>
            <a href="#" class="dash-cancel-btn tran3s">Cancel</a>
        </div>
    </form>
    <?php if($errors->any()): ?>
        <div class="alert alert-danger mt-3">
            <ul>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li><?php echo e($error); ?></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    <?php endif; ?>
    </div>
    </div>
    <!-- /.dashboard-body -->
    <script>
        $(document).ready(function() {

            // Populate states based on the selected country
            $('#country').change(function() {
                var countryId = $(this).val();
                if (countryId) {
                    var url = "<?php echo e(route('getStates', ['countryId' => ':countryId'])); ?>";
                    url = url.replace(':countryId', countryId);
                    $.ajax({
                        type: 'GET',
                        url: url,
                        success: function(data) {
                            $('#state').html(data);
                            $('#state').siblings('.nice-select').remove();
                            $('#state').niceSelect('update');
                            $('#city').empty(); // Clear the city dropdown
                        }
                    });
                } else {
                    $('#state').empty();
                    $('#state').siblings('.nice-select').remove();
                    $('#state').niceSelect('update');
                    $('#city').empty();
                }
            });

            // Populate cities based on the selected state
            $('#state').change(function() {
                var stateId = $(this).val();
                if (stateId) {
                    var url = "<?php echo e(route('getCities', ['stateId' => ':stateId'])); ?>";
                    url = url.replace(':stateId', stateId);
                    $.ajax({
                        type: 'GET',
                        url: url, // Replace with your route
                        success: function(data) {
                            $('#city').html(data);
                            $('#city').siblings('.nice-select').remove();
                            $('#city').niceSelect('update');
                        }
                    });
                } else {
                    $('#city').empty();
                    $('#city').siblings('.nice-select').remove();
                    $('#city').niceSelect('update');
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.candidate-main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\mtc\resources\views/candidate/candidate-profile.blade.php ENDPATH**/ ?>