<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo e(config('app.name', 'Laravel')); ?></title>

    <!-- Scripts -->
    <script src="<?php echo e(asset('js/app.js')); ?>" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet" type="text/css">

    <!-- Styles -->
    <link href="<?php echo e(asset('css/app.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/style.css')); ?>" rel="stylesheet">
</head>
<style>
    .errorTxt, .text-red, #email-error{
    color: grey !important;
    font-size: 12px!important;
    font-style: italic;
}

#credit_cards img{
	height: 30px;
	margin-top: 10px;	
}

</style>
<body>
    
    



</body>
</html>  



<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Payment Form</title>
    <!-- Include your CSS styles here if not in a separate file -->
    <style>
        body {
            font-family: 'Nunito', sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f8f9fa;
        }

        .payment-card-form {
            width: 400px;
            margin: 50px auto;
            background: #fff;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        h2 {
            color: #28a745;
            text-align: center;
        }

        .form-group {
            margin-bottom: 20px;
        }

        label {
            display: block;
            font-weight: bold;
            margin-bottom: 5px;
        }

        input, select {
            width: 100%;
            padding: 10px;
            box-sizing: border-box;
            border: 1px solid #ccc;
            border-radius: 5px;
            margin-top: 5px;
        }

        .card-images {
            margin-top: 15px;
            text-align: center;
        }

        .card-images img {
            width: 30px;
            margin-right: 10px;
        }

        button {
            background-color: #28a745;
            color: #fff;
            padding: 10px 20px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            width: 100%;
        }

        button:hover {
            background-color: #218838;
        }

        .footer {
            margin-top: 20px;
            text-align: center;
            color: #6c757d;
        }
    </style>
</head>

<body>
    <?php
    $months = array(1 => 'Jan', 2 => 'Feb', 3 => 'Mar', 4 => 'Apr', 5 => 'May', 6 => 'Jun', 7 => 'Jul', 8 => 'Aug', 9 => 'Sep', 10 => 'Oct', 11 => 'Nov', 12 => 'Dec');
?>
    <div class="payment-card-form">
        <?php if(session('success_msg')): ?>
        <div class="alert alert-success fade in alert-dismissible show">                
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
             <span aria-hidden="true" style="font-size:20px">×</span>
            </button>
            <?php echo e(session('success_msg')); ?>

        </div>
        <?php endif; ?>
        <?php if(session('error_msg')): ?>
        <div class="alert alert-danger fade in alert-dismissible show">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
              <span aria-hidden="true" style="font-size:20px">×</span>
            </button>    
            <?php echo e(session('error_msg')); ?>

        </div>
        <?php endif; ?>
        <h2>Payment Details</h2>
        <form id="payment-card-info" method="post" action="<?php echo e(route('dopay.online')); ?>">
            <?php echo csrf_field(); ?>
            <input type="hidden" name="package_name" value="<?php echo e(session()->get('package_name')); ?>">
            <input type="hidden" name="amount" value="<?php echo e(session()->get('amount')); ?>">
            <input type="hidden" name="package_type" value="<?php echo e(session()->get('package_type')); ?>">
            <div class="form-group">
                <label for="cardHolder">Card Holder Name</label>
                <input type="text" id="cardHolder" name="owner" value="<?php echo e(old('owner')); ?>" required>
            </div>

            <div class="form-group">
                <label for="cvv">CVV</label>
                <input type="number" id="cvv"  name="cvv" value="<?php echo e(old('cvv')); ?>" required>
            </div>

            <div class="form-group">
                <label for="cardNumber">Card Number</label>
                <input type="text" id="cardNumber" name="cardNumber" value="<?php echo e(old('cardNumber')); ?>" required>
            </div>

            <div class="form-group">
                <label for="expirationDate">Expiration Date</label>
                <div>
                    <select id="expirationMonth" name="expiration-month"     required>
                        <?php $__currentLoopData = $months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($k); ?>" <?php echo e(old('expiration-month') == $k ? 'selected' : ''); ?>><?php echo e($v); ?></option>                                                        
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <select id="expirationYear" name="expiration-year" required>
                        <?php for($i = date('Y'); $i <= (date('Y') + 15); $i++): ?>
                        <option value="<?php echo e($i); ?>"><?php echo e($i); ?></option>            
                        <?php endfor; ?>
                    </select>
                </div>
            </div>

            <div class="form-group">
                <label for="amount">Amount</label>
                <input type="number" id="amount" name="amount" name="amount" min="1" value="<?php echo e(session()->get('amount')); ?>" readonly required>
            </div>

            <div class="card-images">
                <img src="<?php echo e(asset('images/visa.jpg')); ?>" alt="Visa">
                <img src="<?php echo e(asset('images/mastercard.jpg')); ?>" alt="MasterCard">
                <img src="<?php echo e(asset('images/amex.jpg')); ?>" id="amex">
            </div>

            <button type="submit">Submit Payment</button>
        </form>

        <div class="footer">
            <!-- Additional information or links can be added here -->
            Need help? Contact support.
        </div>
    </div>

</body>

</html>
<?php /**PATH /home4/myadroit/public_html/mytalentchoices.com/resources/views/pages/pay.blade.php ENDPATH**/ ?>